## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseSearchWhenContentElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseSearchWhenContentElement

    public class CaseSearchWhenContentElement

extends java.lang.Object

Constructor Summary
`CaseSearchWhenContentElement(SQLDomainModel domainModel, SQLQueryObject sqlStmt, ValueExpressionCaseSearch caseSearchClause, ValueExpressionCaseSearchContent content, Predicate predicate, int clauseNumber, boolean firstClause)`

Method Summary
`void` `createSearchCondition()`
`void` `deleteSearchCondition()`
`int` `getClauseNumber()`
`java.lang.String` `getColumnText(int columnIndex)`
`boolean` `getFirstClause()`
`java.lang.Object` `getLeft()`
`Predicate` `getPredicate()`
`java.lang.Object` `getResult()`
`java.lang.Object` `getRight()`
`ValueExpressionCaseSearch` `getSQLCaseSearchWhenClause()`
`ValueExpressionCaseSearchContent` `getSQLCaseSearchWhenContent(int i)`
`void` `setAndOr(java.lang.Object andOrObj)`
`void` `setLeftExpression(java.lang.Object leftObj)`
`void` `setOperator(java.lang.String op)`
`void` `setResultExpression(java.lang.Object resultObj)`
`void` `setRightExpression(java.lang.Object rightObj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseSearchWhenContentElement

    public CaseSearchWhenContentElement(SQLDomainModel domainModel,
                                        SQLQueryObject sqlStmt,
                                        ValueExpressionCaseSearch caseSearchClause,
                                        ValueExpressionCaseSearchContent content,
                                        Predicate predicate,
                                        int clauseNumber,
                                        boolean firstClause)

Method Detail

### getFirstClause

    public boolean getFirstClause()

### getClauseNumber

    public int getClauseNumber()

### getPredicate

    public Predicate getPredicate()

### getSQLCaseSearchWhenClause

    public ValueExpressionCaseSearch getSQLCaseSearchWhenClause()

### getSQLCaseSearchWhenContent

    public ValueExpressionCaseSearchContent getSQLCaseSearchWhenContent(int i)

### setOperator

    public void setOperator(java.lang.String op)

### setLeftExpression

    public void setLeftExpression(java.lang.Object leftObj)

### setRightExpression

    public void setRightExpression(java.lang.Object rightObj)

### setAndOr

    public void setAndOr(java.lang.Object andOrObj)

### setResultExpression

    public void setResultExpression(java.lang.Object resultObj)

### createSearchCondition

    public void createSearchCondition()

### getLeft

    public java.lang.Object getLeft()

### getRight

    public java.lang.Object getRight()

### getResult

    public java.lang.Object getResult()

### deleteSearchCondition

    public void deleteSearchCondition()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)